# Snapchat API

Public Snapchat profiles.

Auth: `Authorization: Bearer <SOCIFY_KEY>`  
HTML: https://trysocify.com/docs/api/snapchat  
Platform file: https://trysocify.com/llms-snapchat.txt  
OpenAPI: https://trysocify.com/openapi.json

## Endpoints (1)

- [Profile](#profile) — `GET /api/v1/snapchat/profile` (3 credits per request)

### Profile

`GET /api/v1/snapchat/profile`

Fetch a public Snapchat profile by username: bio, subscribers, and avatar.

Credits: 3 credits per request

**Parameters**

- `username` (required) — Snapchat username without @. Example: `daviddobrik`.

**Docs:** [https://trysocify.com/docs/api/snapchat/profile.md](https://trysocify.com/docs/api/snapchat/profile.md) · HTML: https://trysocify.com/docs/api/snapchat/profile

```bash
curl -sS 'https://trysocify.com/api/v1/snapchat/profile?username=daviddobrik' \
  -H "Authorization: Bearer $SOCIFY_KEY"
```

